package mains;
import javax.media.opengl.GL;
import javax.media.opengl.GLCanvas;
import javax.media.opengl.GLCapabilities;
import javax.swing.JFrame;

import com.sun.opengl.util.Animator;



public class Main {
//public static GLCanvas canvas;
  public static GLCanvas canvas;
//  public static GLJPanel canvas;
  public static RendererOpenGL renderer;
  static Animator animator = null;
  static public JFrame window;
  static public GL gl;

  /**
   * Main.main
   * @param no args required
   */
  public static void main(String[] args) {
    // generate a canvas for OpenGL to draw in
    canvas = new GLCanvas(new GLCapabilities());
//    canvas = new GLJPanel(new GLCapabilities());
    if(canvas==null) return;
    // gl is required (but will be refreshed in display() )
    gl = canvas.getGL();
    // append the renderer to canvas: the renderer.display() draws in canvas
    canvas.addGLEventListener(renderer = new RendererOpenGL());
//    Utility.gl = canvas.getGL();
//    if(Utility.gl==null)return;
    // this opens a window where controls and canvas can be displayed
    window = new JFrame();
    window.setSize(800,600);
    window.setVisible(true);
    window.setResizable(true);
    canvas.setSize(Main.window.getSize());
    window.add(canvas);
    window.addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(java.awt.event.WindowEvent e) {
        System.exit(0);
      }
    });
    // the animator thread calls renderer.display() as often as possible
    animator = new Animator(canvas);
    animator.start();
  }

}
